Upstream information

CVE-2016-1522 at MITRE

Description

Code.cpp in Libgraphite in Graphite 2 1.2.4, as used in Mozilla Firefox before 43.0 and Firefox ESR 38.x before 38.6.1, does not consider recursive load calls during a size check, which allows remote attackers to cause a denial of service (heap-based buffer overflow) or possibly execute arbitrary code via a crafted Graphite smart font.

SUSE information

CVSS v2 Scores
  National Vulnerability Database
Base Score 9.33
Vector AV:N/AC:M/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database
Base Score 8.8
Vector AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High

Note from the SUSE Security Team

For SUSE Linux Enterprise 12 this bug was fixed with the version update to graphite2 1.3.1 during the LibreOffice 5.0 feature update. At the time of the release there was no CVE assigned to the issues yet.

SUSE Bugzilla entries: 965803 [RESOLVED / FIXED], 965806 [RESOLVED / FIXED], 965807 [RESOLVED / FIXED], 965810 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE 13.2
  • graphite2 >= 1.2.4-2.4.1
  • graphite2-debuginfo >= 1.2.4-2.4.1
  • graphite2-debugsource >= 1.2.4-2.4.1
  • graphite2-devel >= 1.2.4-2.4.1
  • libgraphite2-3 >= 1.2.4-2.4.1
  • libgraphite2-3-32bit >= 1.2.4-2.4.1
  • libgraphite2-3-debuginfo >= 1.2.4-2.4.1
  • libgraphite2-3-debuginfo-32bit >= 1.2.4-2.4.1
Patchnames:
openSUSE-2016-349